--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Create physical file holding table. This table should not be directly called in your application, but only called by #create_table."
full_name: KirbyBase::KBEngine#new_table
is_singleton: false
name: new_table
params: (name, field_defs, encrypt, record_class)
visibility: public
